Freya not up to date

Post Reply
mabronet
Posts: 3
Joined: 05 Jan 2023, 19:00

05 Jan 2023, 20:35

Hi,

I just purchased Freya for PrimeVue, but I can't build it because of errors, during npm install I have a lot of deprecations. I see that most files are more than 1 year old.
In package.json there are a lot of older versions of packages, including your own PrimeVue (3.10.0, current version 3.21.0) or PrimeIcons.

I really counted that when I pay for a licensed product that it's up to date...

cagatay.civici
Prime
Posts: 18601
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

08 Jan 2023, 23:58

We're updating all the templates to create-vue and vite these days, Freya will be updated as it is with vue-cli form because in 3.21.0 we've completed the accessibility work which requires theme changes. Along the way we'll also update dependencies.

We plan to finish updating all of them in 2 weeks time.

mabronet
Posts: 3
Joined: 05 Jan 2023, 19:00

09 Jan 2023, 21:24

Great, we're waiting forward to it :)

cagatay.civici
Prime
Posts: 18601
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

02 Feb 2023, 11:33

All templates are updated now.

mabronet
Posts: 3
Joined: 05 Jan 2023, 19:00

06 Feb 2023, 20:56

Awesome, thanks

Post Reply

Return to “Freya - PrimeVue”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest